Bug 466057 - Compact Flash ATA/IDE via PCMCIA fails at insertion
Compact Flash ATA/IDE via PCMCIA fails at insertion
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 18:27 EDT by John Reiser
Modified: 2008-10-24 11:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 11:44:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages when CF card inserted at boot (67.54 KB, text/plain)
2008-10-07 18:27 EDT, John Reiser
no flags Details
/var/log/messages for hot insertion of CF card (1.94 KB, text/plain)
2008-10-07 18:29 EDT, John Reiser
no flags Details
/var/log/messages when using USB reader on CF card (7.22 KB, text/plain)
2008-10-07 18:30 EDT, John Reiser
no flags Details
lspci; lspci -n; lspci -v (5.80 KB, text/plain)
2008-10-07 18:32 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2008-10-07 18:27:42 EDT
Created attachment 319701 [details]
/var/log/messages when CF card inserted at boot

Description of problem: A specific Compact Flash [storage device] card in a PC Card Adapter (PCMCIA) fails to be used as an IDE drive.  The same hardware works under MS Windows, or when the CF card is connected via USB reader.  The kernel logs show "error: -12" when attempting to read the "last" sector.  The error recovery strategy is lame: try reading it again, a number of times.  An additional strategy might be to back off 1, 2, 4, or 8 sectors from the end and try a few times (and then setting the device size appropriately.)


Version-Release number of selected component (if applicable):
2.6.26.5-45.fc9.i686

How reproducible: always


Steps to Reproduce:
1. Insert 8GB compact flash card (15761088 sectors) before power-on, using PC Card adapter
2. Boot.
3.
  
Actual results: "Starting udev" takes 3 minutes instead of 20 seconds, and the device is not recognized: cannot be opened, and partitions+filesystems contained on the card are not available.


Expected results: "Starting udev" takes only a second or two longer, device is recognized, partitions+filesystems on the Compact Flash card are available.


Additional info:
Comment 1 John Reiser 2008-10-07 18:29:46 EDT
Created attachment 319702 [details]
/var/log/messages for hot insertion of CF card
Comment 2 John Reiser 2008-10-07 18:30:57 EDT
Created attachment 319703 [details]
/var/log/messages when using USB reader on CF card
Comment 3 John Reiser 2008-10-07 18:32:18 EDT
Created attachment 319704 [details]
lspci; lspci -n; lspci -v

The machine is a notebook with PCMCIA slot.  Here is the "lspci" of the hardware.
Comment 4 John Reiser 2008-10-07 18:37:55 EDT
A different Compact Flash card with 503808 sectors (258 MB) works as expected using the same PC Card adapter and machine and kernel.
Comment 5 Chuck Ebbert 2008-10-08 05:44:44 EDT
This was fixed in 2.6.26.5-46. A new kernel with this fix should be available soon.
Comment 6 Chuck Ebbert 2008-10-23 22:29:32 EDT
Kernel-2.6.26.6-79.fc9 is released. Please try that.
Comment 7 John Reiser 2008-10-24 11:44:47 EDT
kernel-2.6.26.6-79.fc9 works.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.